﻿@{ ViewData["Title"] = "Color";
    ViewData["Titulo_lugar"] = "Ingresar Color";
    ViewData["Lugar"] = "Color";


    Layout = "_create"; }







@model Generic_appWeb.Models.Color


<form asp-action="Create">


    <div class="card card-default ">

        <div class="card-header">
            <h3 class="card-title">Codigo</h3>
        </div>

        <div class="card-body ">


            <div class="form-group ">
                <label asp-for="Co_codigo_empresa" class="col-md-4 control-label" style="float:left"> Empresa </label>
                <input asp-for="Co_codigo_empresa" class="form-control col-md-6" />
                <span asp-validation-for="Co_codigo_empresa" class="text-danger" />

            </div>

            <div class="form-group ">
                <label asp-for="Co_codigo_alterno" class="col-md-4 control-label" style="float:left"> Alterno </label>
                <input asp-for="Co_codigo_alterno" class="form-control col-md-6" type="text" />
                <span asp-validation-for="Co_codigo_alterno" class="text-danger" />

            </div>


        </div>
    </div>


    <br />


    <div class="card card-default ">

        <div class="card-header">
            <h3 class="card-title">Descripciones</h3>
        </div>

        <div class="card-body">


            <div class="form-group">
                <label asp-for="Co_descripcion_larga" class="col-md-4 control-label" style="float:left"> Larga</label>
                <input asp-for="Co_descripcion_larga" class="form-control col-md-6" />
                <span asp-validation-for="Co_descripcion_larga" class="text-danger" />

            </div>

            <div class="form-group">
                <label asp-for="Co_descripcion_med" class="col-md-4 control-label" style="float:left"> Media</label>
                <input asp-for="Co_descripcion_med" class="form-control col-md-6" />
                <span asp-validation-for="Co_descripcion_med" class="text-danger" />

            </div>

            <div class="form-group">
                <label asp-for="Co_descripcion_corta" class="col-md-4 control-label" style="float:left"> Corta</label>
                <input asp-for="Co_descripcion_corta" class="form-control col-md-6" />
                <span asp-validation-for="Co_descripcion_corta" class="text-danger" />
            </div>

            <div class="form-group">
                <label asp-for="Co_abreviacion" class="col-md-4 control-label" style="float:left"> Abreviacion</label>

                <input asp-for="Co_abreviacion" class="form-control col-md-6" />
                <span asp-validation-for="Co_abreviacion" class="text-danger" />

            </div>

            <div class="form-group">
                <label asp-for="Co_observacion" class="col-md-4 control-label" style="float:left"> Observacion</label>

                <input asp-for="Co_observacion" class="form-control col-md-6" />
                <span asp-validation-for="Co_observacion" class="text-danger" />
            </div>


        </div>

    </div>


    <br />


    <div class="card card-default">

        <div class="card-header">
            <h3 class="card-title">Fechas</h3>
        </div>

        <div class="card-body">


            <div class="form-group">

                <label asp-for="Co_fecha_creacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Creacion</label>
                <input name="Co_fecha_creacion" id="Co_fecha_creacion" class="form-control col-xl-6" value="@ViewBag.fecha_creacion" readonly>
                <span asp-validation-for="Co_fecha_creacion" class="text-danger" />

            </div>

            <div class="form-group">

                <label asp-for="Co_fecha_modificacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Modificacion</label>
                <input name="Co_fecha_modificacion" id="Co_fecha_modificacion" class="form-control col-xl-6" value="@ViewBag.fecha_creacion" readonly>
                <span asp-validation-for="Co_fecha_modificacion" class="text-danger" />

            </div>


        </div>

    </div>



    <br />


    <div class="card card-default">

        <div class="card-header">
            <h3 class="card-title">Usuario</h3>
        </div>

        <div class="card-body">

            <div class="form-group">

                <label asp-for="Co_usuario_creacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Creacion</label>
                <input asp-for="Co_usuario_creacion" class="form-control col-xl-6" readonly />
                <span asp-validation-for="Co_usuario_creacion" class="text-danger" />

            </div>

            <div class="form-group">

                <label asp-for="Co_usuario_modificacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Modificacion</label>
                <input asp-for="Co_usuario_modificacion" class="form-control col-xl-6" readonly value=" " />
                <span asp-validation-for="Co_usuario_modificacion" class="text-danger" />

            </div>

        </div>


    </div>


    <br />



    <div class="card card-default">

        <div class="card-header">
            <h3 class="card-title">Secuencia</h3>
        </div>

        <div class="card-body">


            <div class="form-group">
                <label asp-for="Co_secuencia" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Secuencia</label>
                <!--<label asp-for="GCul_secuencia" class="col-md-4 control-label" style="float:left">  Secuencia </label>-->
                <input asp-for="Co_secuencia" class="form-control col-md-6" />
                <span asp-validation-for="Co_secuencia" class="text-danger" />

            </div>

        </div>

    </div>


    <br />










    <div class="card card-default">

         <div class="card-header">
            <h3 class="card-title">Escoja el color</h3>
        </div>

        <div class="card-body">

            <div class="form-group">


                <div class="input-group my-colorpicker2">
                    <label asp-for="Co_hexadecimal" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Color</label>
                    <input asp-for="Co_hexadecimal" type="text" class="form-control">

                    <div class="input-group-append">
                        <span class="input-group-text"><i class="fas fa-square"></i></span>
                    </div>
                </div>
                <!-- /.input group -->
            </div>





            <!--<div class="form-group">
                <label asp-for="Co_secuencia" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Secuencia</label>-->
                <!--<label asp-for="GCul_secuencia" class="col-md-4 control-label" style="float:left">  Secuencia </label>-->
                <!--<input asp-for="Co_secuencia" class="form-control col-md-6" />
                <span asp-validation-for="Co_secuencia" class="text-danger" />

            </div>-->

        </div>

    </div>















    <div style="float:right" class="col-md-12">

        <div class="form-group">

            <div class="float-right">

                <button type="button" class="btn btn-outline-secondary " onclick="location.href='@Url.Action("Index", "Color")'">Volver</button>
                <button type="submit" class="btn btn-primary ">Guardar</button>

            </div>

        </div>

    </div>


</form>






@section Scripts
    {




}